Package org.eclipse.jface.text.information

# Interface IInformationPresenterExtension

All Known Implementing Classes:
  `InformationPresenter`

public interface IInformationPresenterExtension
Extends `IInformationPresenter` with the ability to handle documents with multiple partitions.

Since:
  3.0
See Also:
  - `IInformationPresenter`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDocumentPartitioning()`
Returns the document partitioning this information presenter is using.

## Method Details

### getDocumentPartitioning

String getDocumentPartitioning()
Returns the document partitioning this information presenter is using.

Returns:
  the document partitioning this information presenter is using